import 'package:farmer_client/pages/TabBar/widgets/home/widgets/headers.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import '../../../../widgets/CarsCard.dart';
import '../../../../widgets/Search.dart';


class HomePage extends StatefulWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  State<HomePage> createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      padding: EdgeInsets.fromLTRB(15.w, 0, 15.w, 0),
      child: ListView(
        children: [
          headers(),
          Container(
            margin: EdgeInsets.fromLTRB(0, 20, 0, 20),
            child: Column(
              children: [
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Container(
                      child: Row(
                        children: [
                          Padding(padding: EdgeInsets.fromLTRB(0, 0, 8, 0),
                            child:Image(image: AssetImage('images/icons/carsListImga.png'),fit: BoxFit.cover,width: 20.w,),
                          ),
                          Text('农机列表',
                            style: TextStyle(
                                color: Color(0xff222222),
                                fontSize: 20.sp,
                                fontWeight: FontWeight.bold
                            ),
                          )
                        ],
                      ),
                    ),
                    Container(
                      child:GestureDetector(
                        child:  Text('更多 >>'),
                        onTap: (){
                          print('点我进入农机搜索/更多页');
                        },
                      ),
                    )

                  ],
                ),
                CarsCard(),
                CarsCard(),
                CarsCard(),
              ],
            )

          ),

        ],
      ),


    );
  }
}
