import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';


class headers extends StatelessWidget {
  const headers({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      child:           Row(
        children: [
          Container(
            height: 32.w,
            decoration: BoxDecoration(
                color: Colors.white
            ),
            child: Row(
              children: [
                Image(
                  image: AssetImage('images/gpsImgae.png'),
                  fit: BoxFit.cover,
                  width: 14.w,
                  height: 17.h,
                ),
                Padding(padding: EdgeInsets.fromLTRB(5, 0, 0, 0),
                  child: Text('邓州市',
                    style: TextStyle(
                      color: Color(0xff202020),
                      fontSize: 16.sp,
                      fontWeight: FontWeight.bold,
                    ),
                  ),
                ),
                const Icon(Icons.arrow_drop_down)
              ],

            ),
          ),
          Container(
              padding: EdgeInsets.fromLTRB(15.w, 0, 0, 0),
              width: 260.w,
              height: 32.w,
              decoration: BoxDecoration(
                  color: Colors.white
              ),
              child: GestureDetector(
                  onTap: (){
                    print('点击了搜索');
                  },
                  child: Container(
                    decoration: BoxDecoration(
                      // color: Colors.red,
                      color: Color(0x30cccccc),
                      borderRadius: BorderRadius.all(Radius.circular(25)),
                    ),
                    child: Row(
                      children: [
                        Padding(padding: EdgeInsets.fromLTRB(15, 0, 5, 0),
                          child: Icon(Icons.search,size: 19,color:Color(0xff666666) ,),
                        ),
                        Text('请输入关键字查询',style: TextStyle(color: Color(0xff666666),fontSize: 14),)
                      ],
                    ),
                  )
                // Search(),
              )
          )
        ],
      ),
    );
  }
}
